Skip to main content
GET
/
api
/
v1
/
workflows
/
runs
/
{runId}
/
nodes
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/workflows/runs/{runId}/nodes
{
  "items": [
    {
      "id": "<string>",
      "run_id": "<string>",
      "node_id": "<string>",
      "node_type": "agent",
      "node_name": "<string>",
      "attempt": 123,
      "status": "pending",
      "retry_count": 123,
      "max_retries": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "input_json": "<string>",
      "output_json": "<string>",
      "error_message": "<string>",
      "timeout_ms": 123,
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "duration_ms": 123
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}

Path Parameters

runId
string
required

Query Parameters

limit
integer<int32>
default:50

Page size

Required range: 1 <= x <= 100
cursor
string

Cursor

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)